#!/usr/bin/env python

import vContent
import StringIO

s = StringIO.StringIO("""PROP:p1=v1;p2
 =v2;p21;p3=v3;"p4"="v4";"p5=v5
 ;p5=v5":"hello
  world\\nend test"
""")

r = vContent.Reader(s)
line = r.get_content_line()
print repr(line.text)

data = line.search(line.SEPARATORS)
print data
assert data == ("PROP", ":")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p1", "=")
data = line.search(line.SEPARATORS)
print data
assert data == ("v1", ";")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p2", "=")
data = line.search(line.SEPARATORS)
print data
assert data == ("v2", ";")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p21", ";")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p3", "=")
data = line.search(line.SEPARATORS)
print data
assert data == ("v3", ";")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ('"p4"', "=")
data = line.search(line.SEPARATORS)
print data
assert data == ('"v4"', ";")
data = line.search(line.SEPARATORS_PLUS_EQUALS)
print data
assert data == ('"p5=v5;p5=v5"', ":")
data = line.get_remaining()
print repr(data)
assert data == '"hello world\\nend test"'

# vim: tabstop=4 expandtab shiftwidth=4
